package ink.wgink.module.activiti.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ActivitiVO
 * @Description: activiti
 * @Author: WangGeng
 * @Date: 2021/7/11 22:04
 * @Version: 1.0
 **/
@ApiModel
public class ActivitiVO {

    @ApiModelProperty(name = "modelName", value = "模型名称")
    @CheckEmptyAnnotation(name = "模型名称")
    private String modelName;
    @ApiModelProperty(name = "modelKey", value = "模型key")
    @CheckEmptyAnnotation(name = "模型key")
    private String modelKey;
    @ApiModelProperty(name = "modelDescription", value = "模型描述")
    private String modelDescription;
    @ApiModelProperty(name = "modelCategory", value = "模型分类")
    private String modelCategory;

    public String getModelName() {
        return modelName == null ? "" : modelName.trim().replaceAll("\\s", "");
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getModelKey() {
        return modelKey == null ? "" : modelKey.trim().replaceAll("\\s", "");
    }

    public void setModelKey(String modelKey) {
        this.modelKey = modelKey;
    }

    public String getModelDescription() {
        return modelDescription == null ? "" : modelDescription.trim();
    }

    public void setModelDescription(String modelDescription) {
        this.modelDescription = modelDescription;
    }

    public String getModelCategory() {
        return modelCategory == null ? "" : modelCategory.trim();
    }

    public void setModelCategory(String modelCategory) {
        this.modelCategory = modelCategory;
    }
}
